> ## Documentation Index
> Fetch the complete documentation index at: https://docs.context.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve simplified brand data by domain

> Returns a simplified version of brand data containing only essential information: domain, title, colors, logos, and backdrops. Optimized for faster responses and reduced data transfer.

<Badge color="orange">10 Credits</Badge>


## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/context.dev/openapi.documented.yml get /brand/retrieve-simplified
openapi: 3.0.0
info:
  title: Context API
  description: API for retrieving context data from any website
  version: 1.0.0
servers:
  - url: https://api.context.dev/v1
security: []
paths:
  /brand/retrieve-simplified:
    get:
      tags:
        - Brand Intelligence
      summary: Retrieve simplified brand data by domain
      description: >-
        Returns a simplified version of brand data containing only essential
        information: domain, title, colors, logos, and backdrops. Optimized for
        faster responses and reduced data transfer.
      parameters:
        - name: domain
          in: query
          required: true
          schema:
            type: string
          description: Domain name to retrieve simplified brand data for
        - $ref: '#/components/parameters/BrandRetrieveMaxAgeMs'
        - $ref: '#/components/parameters/TimeoutMS'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimplifiedBrandResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
                  error_code:
                    type: string
                    enum:
                      - INTERNAL_ERROR
                      - VALID
                      - NOT_FOUND
                      - FORBIDDEN
                      - USAGE_EXCEEDED
                      - RATE_LIMITED
                      - UNAUTHORIZED
                      - DISABLED
                      - INSUFFICIENT_PERMISSIONS
                      - TIMEOUT_EXCEEDS_MAXIMUM
                      - WEBSITE_ACCESS_ERROR
                      - INPUT_VALIDATION_ERROR
                    description: Error code indicating the type of error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error_code:
                    type: string
                    enum:
                      - INTERNAL_ERROR
                      - VALID
                      - NOT_FOUND
                      - FORBIDDEN
                      - USAGE_EXCEEDED
                      - RATE_LIMITED
                      - UNAUTHORIZED
                      - DISABLED
                      - INSUFFICIENT_PERMISSIONS
                      - TIMEOUT_EXCEEDS_MAXIMUM
                      - WEBSITE_ACCESS_ERROR
                      - INPUT_VALIDATION_ERROR
                    description: Error code indicating the type of error
        '404':
          description: Brand not found.
        '408':
          description: Request Timeout
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Timeout error message
                  error_code:
                    type: string
                    enum:
                      - REQUEST_TIMEOUT
                    description: Error code indicating request timeout
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
                  status:
                    type: string
                    description: Status of the response, e.g., 'error'
                  error_code:
                    type: string
                    description: Error code indicating the type of error
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import ContextDev from 'context.dev';


            const client = new ContextDev({
              apiKey: process.env['CONTEXT_DEV_API_KEY'], // This is the default and can be omitted
            });


            const response = await client.brand.retrieveSimplified({ domain:
            'domain' });


            console.log(response.brand);
        - lang: Python
          source: |-
            import os
            from context.dev import ContextDev

            client = ContextDev(
                api_key=os.environ.get("CONTEXT_DEV_API_KEY"),  # This is the default and can be omitted
            )
            response = client.brand.retrieve_simplified(
                domain="domain",
            )
            print(response.brand)
        - lang: Ruby
          source: |-
            require "context_dev"

            context_dev = ContextDev::Client.new(api_key: "My API Key")

            response = context_dev.brand.retrieve_simplified(domain: "domain")

            puts(response)
components:
  parameters:
    BrandRetrieveMaxAgeMs:
      name: maxAgeMs
      in: query
      required: false
      schema:
        type: integer
        minimum: 86400000
        maximum: 31536000000
        default: 7776000000
      description: >-
        Maximum age in milliseconds for cached brand data before the API
        performs a hard refresh. Defaults to 3 months (7776000000 ms). Values
        below 1 day (86400000 ms) are clamped to 1 day; values above 1 year
        (31536000000 ms) are clamped to 1 year.
    TimeoutMS:
      name: timeoutMS
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/TimeoutMS'
      description: >-
        Optional timeout in milliseconds for the request. If the request takes
        longer than this value, it will be aborted with a 408 status code.
        Maximum allowed value is 300000ms (5 minutes).
  schemas:
    SimplifiedBrandResponse:
      type: object
      properties:
        status:
          type: string
          description: Status of the response, e.g., 'ok'
        brand:
          type: object
          description: Simplified brand information
          properties:
            domain:
              type: string
              description: The domain name of the brand
            title:
              type: string
              description: The title or name of the brand
            colors:
              type: array
              description: An array of brand colors
              items:
                type: object
                properties:
                  hex:
                    type: string
                    description: Color in hexadecimal format
                  name:
                    type: string
                    description: Name of the color
            logos:
              type: array
              description: An array of logos associated with the brand
              items:
                type: object
                properties:
                  url:
                    type: string
                    description: CDN hosted url of the logo (ready for display)
                  mode:
                    type: string
                    enum:
                      - light
                      - dark
                      - has_opaque_background
                    description: >-
                      Indicates when this logo is best used: 'light' = best for
                      light mode, 'dark' = best for dark mode,
                      'has_opaque_background' = can be used for either as image
                      has its own background
                  colors:
                    type: array
                    description: Array of colors in the logo
                    items:
                      type: object
                      properties:
                        hex:
                          type: string
                          description: Color in hexadecimal format
                        name:
                          type: string
                          description: Name of the color
                  resolution:
                    type: object
                    description: Resolution of the logo image
                    properties:
                      width:
                        type: integer
                        description: Width of the image in pixels
                      height:
                        type: integer
                        description: Height of the image in pixels
                      aspect_ratio:
                        type: number
                        description: Aspect ratio of the image (width/height)
                  type:
                    type: string
                    enum:
                      - icon
                      - logo
                    description: >-
                      Type of the logo based on resolution (e.g., 'icon',
                      'logo')
            backdrops:
              type: array
              description: An array of backdrop images for the brand
              items:
                type: object
                properties:
                  url:
                    type: string
                    description: URL of the backdrop image
                  colors:
                    type: array
                    description: Array of colors in the backdrop image
                    items:
                      type: object
                      properties:
                        hex:
                          type: string
                          description: Color in hexadecimal format
                        name:
                          type: string
                          description: Name of the color
                  resolution:
                    type: object
                    description: Resolution of the backdrop image
                    properties:
                      width:
                        type: integer
                        description: Width of the image in pixels
                      height:
                        type: integer
                        description: Height of the image in pixels
                      aspect_ratio:
                        type: number
                        description: Aspect ratio of the image (width/height)
        code:
          type: integer
          description: HTTP status code of the response
    TimeoutMS:
      type: integer
      minimum: 1000
      maximum: 300000
      description: >-
        Optional timeout in milliseconds for the request. If the request takes
        longer than this value, it will be aborted with a 408 status code.
        Maximum allowed value is 300000ms (5 minutes).
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````